Compare Plugin v2.0 updated for Notepad 7.7 and above



  • I recently updated to 7.7.1 (64-bit) and for me the synced scrolling broke too.

    In looking at the View Menu …

    Before starting a compare :-
    both Synchronize Vertical Scrolling and Synchronize Horizontal Scrolling are greyed out.

    When compare opens :-
    Synchronize Vertical Scrolling is UNCHECKED
    Synchronize Horizontal Scrolling is CHECKED
    Behaviour is consistent with these settings.

    Checking the Synchronize Vertical Scrolling option restores the pre-upgrade normal synchronized scrolling

    I cannot see any way to make that setting stick. If I evit Compare, and then restart it, the setting is lost.



  • @vjs-xx said:

    I recently updated to 7.7.1 (64-bit) and for me the synced scrolling broke too.

    In looking at the View Menu …

    Before starting a compare :-
    both Synchronize Vertical Scrolling and Synchronize Horizontal Scrolling are greyed out.

    When compare opens :-
    Synchronize Vertical Scrolling is UNCHECKED
    Synchronize Horizontal Scrolling is CHECKED
    Behaviour is consistent with these settings.

    Checking the Synchronize Vertical Scrolling option restores the pre-upgrade normal synchronized scrolling

    I cannot see any way to make that setting stick. If I evit Compare, and then restart it, the setting is lost.

    Having read the comments about and old and a new plugin, I checked the plugins directory and found that the ComparePlugin.dll file was dated from February 2019.

    I used the Plugin Admin to remove the Compare Plugin, and after Notepad+ restarted, I used the Plugin Admin to add back the Compare Plugin again. The new DLL is dated from July 2019.

    Now, the scrolling works as expected (notwithstanding that the Synchronize Vertical Scrolling option is still unchecked)

    So, it seems like the updater is not checking and updating the Compare Plugin if it is already installed. Perhaps the issue is that both versions are labeled as version 2 and it cannot detect the change.



  • @vjs-xx ,

    That’s the normal behavior of the vertical scroll setting in the menu when comparing.
    Compare plugin does vertical scrolling on its own and it disables the Notepad++ internal one.

    You are right, the plugin doesn’t update on its own because the Compare versions are the same.

    BR



  • When I compare two files beeing 66 MB, the compare plugin will freeze / stop comparing after reaching maybe 40 %.
    Is there any limit?
    RAM and other memory looks good / still has plenty of ressources.



  • @Buddler ,

    In some cases compare might take considerable time.
    I don’t know if that’s your case but try waiting some time.

    BR



  • had this problem after updating to 7.8.1. was working fine on 7.5.8.

    installing the plugin from https://github.com/pnedev/compare-plugin/releases to C:\Program Files\Notepad++\plugins\ComparePlugin replacing the dlls that were there has solved the scrolling problem.

    I noticed a while ago that compare plugin no longer shows up in the repository of plugin updates. can that be corrected? as it would be nice to just select it from a list rather than having to push files to every machine.



  • @igitthatalot ,

    Were you upgrading Notepad++ from v7.5.8 to v7.8.1?
    If that’s the case the plugin handling since 7.5.8 has been changed. The Plugin Manager is no longer used and in its place now is the Plugin Admin. Start Notepad++ and select from the menu Plugins -> Plugins Admin....
    You can select and install any plugins you need from there.

    BR



  • Well whatever you want to call the ‘way to administrate plugins’ the result is the same. There is no compare plugin listed.

    4de8d0ef-f7f4-4fab-a65d-b99ee77bb699-image.png



  • @igitthatalot

    it is visible under Available tab but only unless you install it

    0404fd9b-beb7-438f-8fb0-0a337ca7da5c-image.png

    Once you installed it, it is visible under Installled tab.



  • having problem with installing the compare plugin. when i restart notepad++ it gives me an error compare plugin is not compatible cannot load 32 bit plugin



  • @G_Shank17
    this normally happens if you try to install a 32bit plugin but using the 64bit npp version.
    Use plugin admin to install it as it will download the correct version.



  • Soooo…
    Can someone just say how to manually install the 64bit plugin with ComparePlugin.dll git2.dll and sqlite3.dll?
    I just need it to work inside a closed network. Not to mention the manager does not work on a test machine that can.
    Thanks if you can save me the time.
    Tom



  • @tjpsnj ,

    Please read this:
    https://github.com/pnedev/compare-plugin/issues/225 .

    Tell me if you still have problems.

    BR



  • I am unable to get the compare plugin to work at all. Using v 7.8.4 and have checked the compare box. I see a download, but nothing happens (no download). I tried the link in this blog and still can’t see the plugin as an option when I unzip and move it into notepad + +\plugins. Any help appreciated.



  • @Robert-Werner ,

    You asked about that over here already. Please don’t ask about the same issue in multiple threads; it makes it hard to follow.

    You need some patience; we aren’t paid 24/7 support; we are fellow Notepad++ users who come on this forum voluntarily to help other Notepad++ users; some are on European time, some are on US Pacific coast time, so the hours we will be around vary; and most of us have day jobs and lives outside of work that make responding to forum posts not the hightest priority; waiting 2-4 hours is not unreasonable

    I will respond to details in your original thread.




Log in to reply